Page MenuHomePhabricator

[clang][cli] Port HeaderSearch option flags to new option parsing system
ClosedPublic

Authored by jansvoboda11 on Jul 16 2020, 3:58 AM.

Diff Detail

Event Timeline

dang created this revision.Jul 16 2020, 3:58 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 16 2020, 3:58 AM
jansvoboda11 commandeered this revision.Nov 27 2020, 8:21 AM
jansvoboda11 added a reviewer: dang.
jansvoboda11 added a subscriber: jansvoboda11.

Taking over this patch as Daniel is no longer involved.

jansvoboda11 retitled this revision from Port HeaderSearch option flags to new option parsing system to [clang][cli] Port HeaderSearch option flags to new option parsing system.Nov 27 2020, 8:22 AM
jansvoboda11 added a reviewer: dexonsmith.

Rebase & revert move of options

dexonsmith accepted this revision.Nov 30 2020, 5:27 PM

LGTM with one nit.

clang/include/clang/Driver/Options.td
1531

I think you can find cases like this later by looking for def.*no_, without the TODO.

This revision is now accepted and ready to land.Nov 30 2020, 5:27 PM
This revision was landed with ongoing or failed builds.Dec 1 2020, 1:52 AM
This revision was automatically updated to reflect the committed changes.